using System;

namespace Globals
{
    public class NovaOptions
    {
        //NovaProfilePreset
        public static int NOVAPDF_PDF_VERSION = 1;
        public static int NOVAPDF_PDFA = 2;
        public static int NOVAPDF_PDFA_VERSION = 3;
        public static int NOVAPDF_PDF_LINEARIZE = 4;
        public static int NOVAPDF_URL_ANALIZE = 5;
        public static int NOVAPDF_INFO_ENABLE = 7;
        public static int NOVAPDF_INFO_VIEWER_ENABLE = 8;
        public static int NOVAPDF_COMPRESS_ENABLE = 9;
        public static int NOVAPDF_GR_CONVERT_ENABLE = 10;
        public static int NOVAPDF_GR_DOWNSMPL_ENABLE = 11;
        public static int NOVAPDF_BMARK_EN_AUTO_DET_BMARKS = 12;
        public static int NOVAPDF_SEC_ENABLE = 13;
        public static int NOVAPDF_SAVE_LOCATION = 14;
        public static int NOVAPDF_SHOW_SECURITY_DLG = 15;
        public static int NOVAPDF_SHOW_DOCINFO_DLG = 16;
        public static int NOVAPDF_ADD_XMP_METADATA = 17;
        public static int NOVAPDF_MERGE_ENABLE = 18;
        public static int NOVAPDF_SHOW_MERGE_DLG = 19;

        //Metadata
        public static int NOVAPDF_PROFILE_NAME = 22;
        public static int NOVAPDF_PROFILE_AUTHOR = 23;
        public static int NOVAPDF_PROFILE_DESCRIPTION = 24;
        //ViewerOptionsPreset
        public static int NOVAPDF_VIEWOP_HIDE_TOOLBARS = 25;
        public static int NOVAPDF_VIEWOP_SHOW_DOCTITLE = 26;
        public static int NOVAPDF_VIEWOP_TRANSITION_TYPE = 27;
        public static int NOVAPDF_VIEWOP_TRANSITION_DIRECTION = 28;
        public static int NOVAPDF_VIEWOP_TRANSITION_DURATION = 29;
        public static int NOVAPDF_VIEWOP_PAGE_DURATION = 30;
        public static int NOVAPDF_VIEWOP_ZOOM = 31;
        public static int NOVAPDF_VIEWOP_USE_START_PAGE = 32;
        public static int NOVAPDF_VIEWOP_START_PAGE = 33;
        public static int NOVAPDF_VIEWOP_PAGE_LAYOUT = 34;
        public static int NOVAPDF_VIEWOP_HIDE_MENUBAR = 35;
        public static int NOVAPDF_VIEWOP_RESIZE_WINDOW = 36;
        public static int NOVAPDF_VIEWOP_HIDE_USER = 37;
        public static int NOVAPDF_VIEWOP_PAGE_MODE = 38;
        public static int NOVAPDF_VIEWOP_FULLSCREEN = 39;
        public static int NOVAPDF_VIEWOP_PAGE_SCALING = 40;
        //AdvancedOptionsPreset
        public static int NOVAPDF_ADV_OPTIMIZE_TEXT = 48;
        public static int NOVAPDF_ADV_SILENT_PRINT = 49;
        public static int NOVAPDF_ADV_OPTIMIZE_IMAGE = 50;
        public static int NOVAPDF_ADV_CORRECT_LINEWIDTH = 51;
        public static int NOVAPDF_ADV_CORRECT_FILLCOLOR = 52;
        public static int NOVAPDF_ADV_IGNORE_EMPTY_PAGES = 53;
        //ContentCompressionPreset
        public static int NOVAPDF_COMPRESS_HIGH_COLOR = 54;
        public static int NOVAPDF_COMPRESS_HIGH_COLOR_TYPE = 55;
        public static int NOVAPDF_COMPRESS_HIGH_COLOR_LEVEL = 56;
        public static int NOVAPDF_COMPRESS_INDEXED = 57;
        public static int NOVAPDF_COMPRESS_INDEXED_TYPE = 58;
        public static int NOVAPDF_COMPRESS_INDEXED_LEVEL = 59;
        public static int NOVAPDF_COMPRESS_MONOCHROM = 60;
        public static int NOVAPDF_COMPRESS_MONOCHROM_TYPE = 61;
        public static int NOVAPDF_COMPRESS_MONOCHROM_LEVEL = 62;
        public static int NOVAPDF_COMPRESS_TEXT_GRAPHICS = 63;
        public static int NOVAPDF_COMPRESS_TEXT_GRAPHICS_TYPE = 64;
        public static int NOVAPDF_COMPRESS_TEXT_GRAPHICS_LEVEL = 65;
        //DocumentInfoPreset
        public static int NOVAPDF_DOCINFO_TITLE = 66;
        public static int NOVAPDF_DOCINFO_CREATOR = 67;
        public static int NOVAPDF_DOCINFO_SUBJECT = 68;
        public static int NOVAPDF_DOCINFO_AUTHOR = 69;
        public static int NOVAPDF_DOCINFO_KEYWORDS = 70;
        //ImageConversionPreset
        public static int NOVAPDF_IMAGE_CONVERT_HIGH_COLOR = 71;
        public static int NOVAPDF_IMAGE_DITHER_HIGH_COLOR = 72;
        public static int NOVAPDF_IMAGE_CONVERT_TYPE_HIGH_COLOR = 73;
        public static int NOVAPDF_IMAGE_CONVERT_TRESH_HIGH_COLOR = 74;
        public static int NOVAPDF_IMAGE_DITHER_TYPE_HIGH_COLOR = 75;
        public static int NOVAPDF_IMAGE_CONVERT_INDEXED = 76;
        public static int NOVAPDF_IMAGE_DITHER_INDEXED = 77;
        public static int NOVAPDF_IMAGE_CONVERT_TYPE_INDEXED = 78;
        public static int NOVAPDF_IMAGE_CONVERT_TRESH_INDEXED = 79;
        public static int NOVAPDF_IMAGE_DITHER_TYPE_INDEXED = 80;
        public static int NOVAPDF_IMAGE_CONVERT_TEXTANDGR = 81;
        public static int NOVAPDF_IMAGE_CONVERT_TYPE_TEXTANDGR = 82;
        public static int NOVAPDF_IMAGE_CONVERT_TRESH_TEXTANDGR = 83;
        //ImageDownsamplingPreset
        public static int NOVAPDF_DOWNSAMPLE_HIGH_COLOR = 84;
        public static int NOVAPDF_DOWNSAMPLE_TYPE_HIGH_COLOR = 85;
        public static int NOVAPDF_DOWNSAMPLE_RES_HIGH_COLOR = 86;
        public static int NOVAPDF_DOWNSAMPLE_INDEXED = 87;
        public static int NOVAPDF_DOWNSAMPLE_TYPE_INDEXED = 88;
        public static int NOVAPDF_DOWNSAMPLE_RES_INDEXED = 89;
        public static int NOVAPDF_DOWNSAMPLE_MONOCHROM = 90;
        public static int NOVAPDF_DOWNSAMPLE_TYPE_MONOCHROM = 91;
        public static int NOVAPDF_DOWNSAMPLE_RES_MONOCHROM = 92;
        //OverlaysPreset
        public static int NOVAPDF_OVERLAY_FILE = 93;
        public static int NOVAPDF_OVERLAY_USER_NAME = 94;
        public static int NOVAPDF_OVERLAY_USER_PASSWORD = 95;
        public static int NOVAPDF_OVERLAY_FILE_LOCATION = 96;
        public static int NOVAPDF_OVERLAY_FILE_PASSWORD = 97;
        public static int NOVAPDF_OVERLAY_REPEAT_TYPE = 99;
        public static int NOVAPDF_OVERLAY_OPACITY = 100;
        //SaveOptionsPreset
        public static int NOVAPDF_SAVE_PROMPT_TYPE = 101;
        public static int NOVAPDF_SAVE_FOLDER = 103;
        public static int NOVAPDF_SAVE_FILE_NAME = 104;
        public static int NOVAPDF_SAVE_USER_NAME = 105;
        public static int NOVAPDF_SAVE_USER_PASSWORD = 106;
        public static int NOVAPDF_SAVE_FILEEXIST_ACTION = 108;
        //SecurityPreset
        public static int NOVAPDF_SECURITY_LEVEL = 109;
        public static int NOVAPDF_SECURITY_USER_PASSWORD = 110;
        public static int NOVAPDF_SECURITY_OWNER_PASSWORD = 111;
        public static int NOVAPDF_SECURITY_FLAG_PRINTDOC = 112;
        public static int NOVAPDF_SECURITY_FLAG_MODIFYDOC = 113;
        public static int NOVAPDF_SECURITY_FLAG_EXTRACTTEXT = 114;
        public static int NOVAPDF_SECURITY_FLAG_MODIFYANNOTATION = 115;
        public static int NOVAPDF_SECURITY_FLAG_PRINTHIGHRES = 116;
        public static int NOVAPDF_SECURITY_FLAG_ASSEMBLEDOC = 117;
        public static int NOVAPDF_SECURITY_FLAG_ADVANCEDEXTRACT = 118;
        public static int NOVAPDF_SECURITY_FLAG_ADVANCEDFILL = 119;
        //SignaturesPreset
        public static int NOVAPDF_SIGN_FILECERT_LOCATION = 120;
        public static int NOVAPDF_SIGN_FILECERT_FILE = 121;
        public static int NOVAPDF_SIGN_FILECERT_FILE_PASSWORD = 122;
        public static int NOVAPDF_SIGN_FILECERT_USER_NAME = 123;
        public static int NOVAPDF_SIGN_FILECERT_USER_PASSWORD = 124;
        public static int NOVAPDF_SIGN_SYSCERT_ISSUEDTO = 125;
        public static int NOVAPDF_SIGN_SYSCERT_ISSUEDBY = 126;
        public static int NOVAPDF_SIGN_SYSCERT_FRIENDLYNAME = 127;
        public static int NOVAPDF_SIGN_SYSCERT_SUBJECT = 128;
        public static int NOVAPDF_SIGN_SYSCERT_SUBJECT_NAME = 129;
        public static int NOVAPDF_SIGN_SYSCERT_EXPIRE_DATE = 130;
        public static int NOVAPDF_SIGN_CERTIFICATE_TYPE = 131;
        public static int NOVAPDF_SIGN_SHOW_GRAPHIC_NAME = 132;
        public static int NOVAPDF_SIGN_SHOW_GRAPHIC_IAMGE = 133;
        public static int NOVAPDF_SIGN_SHOW_KEEPASPECTRATIO = 134;
        public static int NOVAPDF_SIGN_SHOW_CERTIFICATE_NAME = 135;
        public static int NOVAPDF_SIGN_SHOW_SIGN_DATE = 136;
        public static int NOVAPDF_SIGN_SHOW_CONTACT_INFO = 137;
        public static int NOVAPDF_SIGN_SHOW_SIGN_REASON = 138;
        public static int NOVAPDF_SIGN_SHOW_SIGN_LOCATION = 139;
        public static int NOVAPDF_SIGN_SHOW_DETAILS = 140;
        public static int NOVAPDF_SIGN_SHOW_LABELS = 141;
        public static int NOVAPDF_SIGN_FONT_NAME = 142;
        public static int NOVAPDF_SIGN_FONT_TYPE = 143;
        public static int NOVAPDF_SIGN_FONT_SIZE = 144;
        public static int NOVAPDF_SIGN_CUSTOM_SIZE = 145;
        public static int NOVAPDF_SIGN_NAME_COLOR = 146;
        public static int NOVAPDF_SIGN_NAME_OPACITY = 147;
        public static int NOVAPDF_SIGN_IMAGE_LOCATION = 148;
        public static int NOVAPDF_SIGN_IMAGE_FILE = 149;
        public static int NOVAPDF_SIGN_IMAGE_USER_NAME = 150;
        public static int NOVAPDF_SIGN_IMAGE_USER_PASSWORD = 151;
        public static int NOVAPDF_SIGN_IMAGE_OPACITY = 152;
        public static int NOVAPDF_SIGN_INFO_CONTACT = 153;
        public static int NOVAPDF_SIGN_INFO_REASON = 154;
        public static int NOVAPDF_SIGN_INFO_LOCATION = 155;
        public static int NOVAPDF_SIGN_VIEW_VIEW = 156;
        public static int NOVAPDF_SIGN_VIEW_PRINT = 157;
        public static int NOVAPDF_SIGN_VIEW_EXPORT = 158;
        //FontsPreset
        public static int NOVAPDF_FONTS_EMBED_SUBSETS = 159;
        public static int NOVAPDF_FONTS_EMBED_ALL_USED_FONTS = 160;
        public static int NOVAPDF_FONTS_FORCE_EMBED_PROTECTED = 161;
        //LinksPreset
        public static int NOVAPDF_URL_DETECT_FILES = 163;
        public static int NOVAPDF_URL_CHECK_FILE_EXISTS = 164;
        public static int NOVAPDF_URL_UNDERLINE = 166;
        public static int NOVAPDF_URL_OVERWRITE_COLOR = 167;
        public static int NOVAPDF_URL_COLOR = 168;
        //ImageWatermarksPreset
        public static int NOVAPDF_WTM_IMG_IMAGE_FILE_NAME = 200;
        public static int NOVAPDF_WTM_IMG_IMAGE_LOCATION = 201;
        public static int NOVAPDF_WTM_IMG_IMAGE_USER_NAME = 202;
        public static int NOVAPDF_WTM_IMG_IMAGE_USER_PASSWORD = 203;
        public static int NOVAPDF_WTM_IMG_IMAGE_TRANSPARENCY = 204;
        public static int NOVAPDF_WTM_IMG_IMAGE_TRANSP_COLOR = 205;
        public static int NOVAPDF_WTM_IMG_IMAGE_OPACITY = 206;
        public static int NOVAPDF_WTM_IMG_COLOR_VARIATION = 207;
        public static int NOVAPDF_WTM_IMG_VISIBILITY_VIEW = 208;
        public static int NOVAPDF_WTM_IMG_VISIBILITY_PRINT = 209;
        public static int NOVAPDF_WTM_IMG_VISIBILITY_EXPORT = 210;
        //Metadata
        public static int NOVAPDF_WTM_IMG_NAME = 211;
        public static int NOVAPDF_WTM_IMG_AUTHOR = 212;
        public static int NOVAPDF_WTM_IMG_DESCRIPTION = 213;
        //TextWatermarksPreset
        public static int NOVAPDF_WTM_TXT_WATERMARK_TEXT = 240;
        public static int NOVAPDF_WTM_TXT_FONT_NAME = 241;
        public static int NOVAPDF_WTM_TXT_FONT_TYPE = 242;
        public static int NOVAPDF_WTM_TXT_FONT_SIZE = 243;
        public static int NOVAPDF_WTM_TXT_FONT_BOLD = 244;
        public static int NOVAPDF_WTM_TXT_FONT_ITALIC = 245;
        public static int NOVAPDF_WTM_TXT_FONT_OUTLINE = 246;
        public static int NOVAPDF_WTM_TXT_FONT_UNDERLINE = 247;
        public static int NOVAPDF_WTM_TXT_FONT_COLOR = 248;
        public static int NOVAPDF_WTM_TXT_OPACITY = 249;
        public static int NOVAPDF_WTM_TXT_VISIBILITY_VIEW = 250;
        public static int NOVAPDF_WTM_TXT_VISIBILITY_PRINT = 251;
        public static int NOVAPDF_WTM_TXT_VISIBILITY_EXPORT = 252;
        public static int NOVAPDF_WTM_TXT_UNDERLINE_POSITION = 253;
        public static int NOVAPDF_WTM_TXT_UNDERLINE_THICKNESS = 254;
        public static int NOVAPDF_WTM_TXT_TEXT_CORRECTION = 255;
        //Metadata
        public static int NOVAPDF_WTM_TXT_NAME = 256;
        public static int NOVAPDF_WTM_TXT_AUTHOR = 257;
        public static int NOVAPDF_WTM_TXT_DESCRIPTION = 258;
        //Border (additions)
        public static int NOVAPDF_URL_BORDER_WIDTH_UNITS = 259;
        //Save (additions)
        public static int NOVAPDF_SAVE_FOLDER_TYPE = 260;
        //Security (additions)
        public static int NOVAPDF_SECURITY_ENCRYPT_XMP = 262;
        //BookmarksPreset
        public static int NOVAPDF_BMK_ALLOW_MULTILINE = 280;
        public static int NOVAPDF_BMK_MATCH_ALL_LEVELS = 281;
        public static int NOVAPDF_BMK_USE_LEVELS = 282;
        public static int NOVAPDF_BMK_OPEN_TO_LEVEL = 283;
        public static int NOVAPDF_BMK_ROOT_NAME = 284;
        public static int NOVAPDF_BMK_ROOT_ENABLED = 285;
        public static int NOVAPDF_BMK_ROOT_BOLD = 286;
        public static int NOVAPDF_BMK_ROOT_ITALIC = 287;
        public static int NOVAPDF_BMK_ROOT_COLOR = 288;
        //LayoutsPreset
        public static int NOVAPDF_LAYOUT_LEFTANCHOR_USED = 320;
        public static int NOVAPDF_LAYOUT_LEFTANCHOR_OFFSET = 321;
        public static int NOVAPDF_LAYOUT_LEFTANCHOR_USE_PERCENT = 322;
        public static int NOVAPDF_LAYOUT_RIGHTANCHOR_USED = 323;
        public static int NOVAPDF_LAYOUT_RIGHTANCHOR_OFFSET = 324;
        public static int NOVAPDF_LAYOUT_RIGHTANCHOR_USE_PERCENT = 325;
        public static int NOVAPDF_LAYOUT_TOPANCHOR_USED = 326;
        public static int NOVAPDF_LAYOUT_TOPANCHOR_OFFSET = 327;
        public static int NOVAPDF_LAYOUT_TOPANCHOR_USE_PERCENT = 328;
        public static int NOVAPDF_LAYOUT_BOTTOMANCHOR_USED = 329;
        public static int NOVAPDF_LAYOUT_BOTTOMANCHOR_OFFSET = 330;
        public static int NOVAPDF_LAYOUT_BOTTOMANCHOR_USE_PERCENT = 331;
        public static int NOVAPDF_LAYOUT_VERTANCHOR_USED = 332;
        public static int NOVAPDF_LAYOUT_VERTLANCHOR_OFFSET = 333;
        public static int NOVAPDF_LAYOUT_VERTANCHOR_USE_PERCENT = 334;
        public static int NOVAPDF_LAYOUT_HORIZANCHOR_USED = 335;
        public static int NOVAPDF_LAYOUT_HORIZANCHOR_OFFSET = 336;
        public static int NOVAPDF_LAYOUT_HORIZANCHOR_USE_PERCENT = 337;
        public static int NOVAPDF_LAYOUT_USE_ASPECT_RATIO = 338;
        public static int NOVAPDF_LAYOUT_WIDTH = 339;
        public static int NOVAPDF_LAYOUT_HEIGHT = 340;
        public static int NOVAPDF_LAYOUT_ROTATION = 341;
        public static int NOVAPDF_LAYOUT_UNITS = 342;
        public static int NOVAPDF_LAYOUT_FIRSTPAGE = 343;
        public static int NOVAPDF_LAYOUT_LASTPAGE = 344;
        public static int NOVAPDF_LAYOUT_ODDPAGE = 345;
        public static int NOVAPDF_LAYOUT_EVENPAGE = 346;
        public static int NOVAPDF_LAYOUT_ALLPAGE = 347;
        public static int NOVAPDF_LAYOUT_PAGES = 348;
        public static int NOVAPDF_LAYOUT_PAGERANGE = 349;
        public static int NOVAPDF_LAYOUT_ZINDEX = 350;
        public static int NOVAPDF_LAYOUT_FORM_WIDTH = 351;
        public static int NOVAPDF_LAYOUT_FORM_HEIGHT = 352;
        public static int NOVAPDF_LAYOUT_BOUNDING_WIDTH = 353;
        public static int NOVAPDF_LAYOUT_BOUNDING_HEIGHT = 354;
        public static int NOVAPDF_LAYOUT_ORIGINAL_WIDTH = 355;
        public static int NOVAPDF_LAYOUT_ORIGINAL_HEIGHT = 356;
        public static int NOVAPDF_LAYOUT_ALLOW_STRETCH = 386;
        public static int NOVAPDF_LAYOUT_STRETCH_X = 387;
        public static int NOVAPDF_LAYOUT_STRETCH_Y = 388;
        public static int NOVAPDF_LAYOUT_STRETCH_ROT_X = 389;
        public static int NOVAPDF_LAYOUT_STRETCH_ROT_Y = 390;
        public static int NOVAPDF_LAYOUT_OBJECT_WIDTH = 393;
        public static int NOVAPDF_LAYOUT_OBJECT_HEIGHT = 394;
        //Metadata
        public static int NOVAPDF_LAYOUT_NAME = 357;
        public static int NOVAPDF_LAYOUT_AUTHOR = 358;
        public static int NOVAPDF_LAYOUT_DESCRIPTION = 359;
        public static int NOVAPDF_LAYOUT_SCALE_X = 360;
        public static int NOVAPDF_LAYOUT_SCALE_Y = 361;
        //BordersPreset (layout)
        public static int NOVAPDF_LAYOUT_USE_BORDER = 380;
        public static int NOVAPDF_LAYOUT_BORDER_TYPE = 381;
        public static int NOVAPDF_LAYOUT_BORDER_STYLE = 382;
        public static int NOVAPDF_LAYOUT_BORDER_WIDTH = 383;
        public static int NOVAPDF_LAYOUT_BORDER_COLOR = 384;
        public static int NOVAPDF_LAYOUT_BORDER_POSITION = 385;
        //-----------------------------------------------------------------------------
        // Actions options
        //-----------------------------------------------------------------------------
        //AfterSaveActionPreset - Run action
        public static int NOVAPDF_ACTION_RUN_APPLICATION =        43;
        public static int NOVAPDF_ACTION_RUN_USER_NAME =          45;
        public static int NOVAPDF_ACTION_RUN_USER_PASSWORD =      46;
        public static int NOVAPDF_ACTION_RUN_CMDLINE_PARAMETERS = 47;
        //EmailMapiPreset
        public static int NOVAPDF_EMAILMAPI_SENDEMAIL =            421;
        public static int NOVAPDF_EMAILMAPI_FROM =                 422;
        public static int NOVAPDF_EMAILMAPI_TO =                   423;
        public static int NOVAPDF_EMAILMAPI_CC =                   424;
        public static int NOVAPDF_EMAILMAPI_BCC =                  425;
        public static int NOVAPDF_EMAILMAPI_COMPRESS =             426;
        public static int NOVAPDF_EMAILMAPI_CHANGEEXTENSION =      427;
        public static int NOVAPDF_EMAILMAPI_ATTACH_PDF =           428;
        public static int NOVAPDF_EMAILMAPI_LOOKUP_ADDRESS =       430;
        public static int NOVAPDF_EMAILMAPI_ATTACH_OTHER_FILES =   431;
        public static int NOVAPDF_EMAILMAPI_OTHER_FILES =          432;
        public static int NOVAPDF_EMAILMAPI_SUBJECT =              433;
        public static int NOVAPDF_EMAILMAPI_BODY =                 434;
        public static int NOVAPDF_EMAILMAPI_EXTENSION =            435;
        //EmailSmtpPreset
        public static int NOVAPDF_EMAILSMTP_FROM =                 436;
        public static int NOVAPDF_EMAILSMTP_TO =                   437;
        public static int NOVAPDF_EMAILSMTP_CC =                   438;
        public static int NOVAPDF_EMAILSMTP_BCC =                  439;
        public static int NOVAPDF_EMAILSMTP_COMPRESS =             440;
        public static int NOVAPDF_EMAILSMTP_CHANGEEXTENSION =      441;
        public static int NOVAPDF_EMAILSMTP_ATTACH_PDF =           442;
        public static int NOVAPDF_EMAILSMTP_ATTACH_OTHER_FILES =   445;
        public static int NOVAPDF_EMAILSMTP_OTHER_FILES =          446;
        public static int NOVAPDF_EMAILSMTP_SUBJECT =              447;
        public static int NOVAPDF_EMAILSMTP_BODY =                 448;
        public static int NOVAPDF_EMAILSMTP_EXTENSION =            449;
        public static int NOVAPDF_EMAILSMTP_SERVER =               450;
        public static int NOVAPDF_EMAILSMTP_PORT =                 451;
        public static int NOVAPDF_EMAILSMTP_SSL =                  452;
        public static int NOVAPDF_EMAILSMTP_AUTHENTICATION =       453;
        public static int NOVAPDF_EMAILSMTP_ACCOUNT =              454;
        public static int NOVAPDF_EMAILSMTP_PASSWORD =             455;
        public static int NOVAPDF_EMAILSMTP_TLS =                  456;
        //OpenViewerPreset
        public static int NOVAPDF_ACTION_OPEN_CUSTOMSOURCE =       460;
        public static int NOVAPDF_ACTION_OPEN_OPENORIGINAL =       461;
        //CustomSourceFile
        //AfterSaveDeletePreset
        public static int NOVAPDF_ACTION_DELETE_CUSTOMSOURCE =     464;
        public static int NOVAPDF_ACTION_DELETE_DELETEORIGINAL =   465;
        public static int NOVAPDF_ACTION_DELETE_USERNAME =         466;
        public static int NOVAPDF_ACTION_DELETE_PASSWORD =         467;
        //AfterSaveCopyPreset
        public static int NOVAPDF_ACTION_COPY_CUSTOMSOURCE =       468;
        public static int NOVAPDF_ACTION_COPY_SOURCECOPYORIGINAL = 469;
        public static int NOVAPDF_ACTION_COPY_DESTCOPYORIGINAL =   470;
        public static int NOVAPDF_ACTION_COPY_CUSTOMDESTFOLDER =   471;
        public static int NOVAPDF_ACTION_COPY_CUSTOMDESTFILE =     472;
        public static int NOVAPDF_ACTION_COPY_SOURCEUSERNAME =     473;
        public static int NOVAPDF_ACTION_COPY_SOURCEPASSWORD =     474;
        public static int NOVAPDF_ACTION_COPY_DESTUSERNAME =       475;
        public static int NOVAPDF_ACTION_COPY_DESTPASSWORD =       476;
        public static int NOVAPDF_ACTION_COPY_DESTKEEPFILENAME =   477;
        //FTPPreset
        public static int NOVAPDF_ACTION_FTP_SOURCEFILE =          480;
        public static int NOVAPDF_ACTION_FTP_SOURCEUSER =          481;
        public static int NOVAPDF_ACTION_FTP_SOURCEPASSWORD =      482;
        public static int NOVAPDF_ACTION_FTP_DESTFOLDER =          483;
        public static int NOVAPDF_ACTION_FTP_DESTFILE =            484;
        public static int NOVAPDF_ACTION_FTP_SERVER =              485;
        public static int NOVAPDF_ACTION_FTP_PORT =                486;
        public static int NOVAPDF_ACTION_FTP_USERNAME  =           487;
        public static int NOVAPDF_ACTION_FTP_PASSWORD  =           488;
        public static int NOVAPDF_ACTION_FTP_UPLOADSPEEDCHECK =    489;
        public static int NOVAPDF_ACTION_FTP_UPLOADSPEED =         490;
        public static int NOVAPDF_ACTION_FTP_USEPASSIVEMODE =      491;
        public static int NOVAPDF_ACTION_FTP_TIMEOUT =             492;
        public static int NOVAPDF_ACTION_FTP_HOST =                493;
        public static int NOVAPDF_ACTION_FTP_HOSTPORT =            494;
        public static int NOVAPDF_ACTION_FTP_HOSTUSERNAME =        495;
        public static int NOVAPDF_ACTION_FTP_HOSTPASSWORD =        496;
        public static int NOVAPDF_ACTION_FTP_RETRY =               497;
        public static int NOVAPDF_ACTION_FTP_RETRYVALUE =          498;
        public static int NOVAPDF_ACTION_FTP_WAIT =                499;
        public static int NOVAPDF_ACTION_FTP_WAITVALUE =           500;
        public static int NOVAPDF_ACTION_FTP_SSL =                 501;
        public static int NOVAPDF_ACTION_FTP_USEPROXY  =           502;
        public static int NOVAPDF_ACTION_FTP_SOURCEORIGINAL =      503;
        public static int NOVAPDF_ACTION_FTP_KEEPFILENAME =        504;
        //SFTPPreset
        public static int NOVAPDF_ACTION_SFTP_SOURCEORIGINAL =     510;
        public static int NOVAPDF_ACTION_SFTP_SOURCEFILE =         511;
        public static int NOVAPDF_ACTION_SFTP_SOURCEUSER =         512;
        public static int NOVAPDF_ACTION_SFTP_SOURCEPASSWORD =     513;
        public static int NOVAPDF_ACTION_SFTP_DESTFOLDER =         514;
        public static int NOVAPDF_ACTION_SFTP_DESTFILE =           515;
        public static int NOVAPDF_ACTION_SFTP_SERVER =             516;
        public static int NOVAPDF_ACTION_SFTP_PORT=                517;
        public static int NOVAPDF_ACTION_SFTP_USERNAME   =         518;
        public static int NOVAPDF_ACTION_SFTP_PASSWORD =           519;
        public static int NOVAPDF_ACTION_SFTP_USEPRIVATEKEY =      520;
        public static int NOVAPDF_ACTION_SFTP_UPLOADSPEEDCHECK =   521;
        public static int NOVAPDF_ACTION_SFTP_UPLOADSPEED =        522;
        public static int NOVAPDF_ACTION_SFTP_TIMEOUT =            528;
        public static int NOVAPDF_ACTION_SFTP_KEYFILENAME =        530;  
        public static int NOVAPDF_ACTION_SFTP_KEYFILEPASSWORD =    531;
        public static int NOVAPDF_ACTION_SFTP_KEEPFILENAME =       532;
        public static int NOVAPDF_ACTION_SFTP_RETRY =              533;
        public static int NOVAPDF_ACTION_SFTP_RETRYVALUE =         534;
        public static int NOVAPDF_ACTION_SFTP_WAIT =               535;
        public static int NOVAPDF_ACTION_SFTP_WAITVALUE =          536;
        //<AuthenticationsList>
        //  <FeatureInfo>
        //    <Name>publickey</Name>
        //    <IsSupported>true</IsSupported>
        //  </FeatureInfo>
        //</AuthenticationsList>
        public static int NOVAPDF_ACTION_SFTP_AUTH_LISTSTART =     540;
        public static int NOVAPDF_ACTION_SFTP_AUTH_PUBLICKEY =     541;
        public static int NOVAPDF_ACTION_SFTP_AUTH_PASSWORD =      542;
        public static int NOVAPDF_ACTION_SFTP_AUTH_KEYBOARDINT =   543;
        public static int NOVAPDF_ACTION_SFTP_AUTH_LISTEND =       543;
        //<CiphersList>
        //  <FeatureInfo>
        //    <Name>aes256-ctr</Name>
        //    <IsSupported>true</IsSupported>
        //  </FeatureInfo>
        //</CiphersList>
        public static int NOVAPDF_ACTION_SFTP_CIPHER_LISTSTART =     550;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_AES256CTR =     550;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_3DESCBC =	     551;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_AES128CBC =     552;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_AES192CBC =     553;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_AES256CBC =     554;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_BLOWFISHCBC =   555;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_TWOFISHCBC =    556;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_TWOFISH192CBC = 557;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_TWOFISH128CBC = 558;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_TWOFISH256CBC = 559;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_ARCFOUR =       560;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_ARCFOUR128 =    561;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_ARCFOUR256 =    562;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_CAST128CBC =    563;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_AES128CTR =     564;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_AES192CTR =     565;
        public static int NOVAPDF_ACTION_SFTP_CIPHER_LISTEND =       565;
        //<MACsList>
        //  <FeatureInfo>
        //    <Name>hmac-md5</Name>
        //    <IsSupported>true</IsSupported>
        //  </FeatureInfo>
        //</MACsList>
        public static int NOVAPDF_ACTION_SFTP_MAC_LISTSTART =        570;
        public static int NOVAPDF_ACTION_SFTP_MAC_MD5	=            570;
        public static int NOVAPDF_ACTION_SFTP_MAC_SHA1  =            571;
        public static int NOVAPDF_ACTION_SFTP_MAC_SHA2256  =         572;
        public static int NOVAPDF_ACTION_SFTP_MAC_SHA225696 =        573;
        public static int NOVAPDF_ACTION_SFTP_MAC_RIPEMD160 =        574;
        public static int NOVAPDF_ACTION_SFTP_MAC_RIPEMD160OPENSSH = 575;
        public static int NOVAPDF_ACTION_SFTP_MAC_MD596 =            576;
        public static int NOVAPDF_ACTION_SFTP_MAC_SHA196 =           577;
        public static int NOVAPDF_ACTION_SFTP_MAC_LISTEND =          577;
        //<CompressionsList>
        //  <FeatureInfo>
        //    <Name>none</Name>
        //    <IsSupported>true</IsSupported>
        //  </FeatureInfo>
        //</CompressionsList>
        public static int NOVAPDF_ACTION_SFTP_COMPRESS_LISTSTART =   580;
        public static int NOVAPDF_ACTION_SFTP_COMPRESS_NONE =        580;
        public static int NOVAPDF_ACTION_SFTP_COMPRESS_ZLIBOPENSSH = 581;
        public static int NOVAPDF_ACTION_SFTP_COMPRESS_LISTEND  =    581;
        //ActionPreset
        public static int NOVAPDF_ACTION_MINIM =                   600;
        public static int NOVAPDF_ACTION_INDEX  =                  600;
        public static int NOVAPDF_ACTION_FAIL =                    601;
        public static int NOVAPDF_ACTION_NAME =                    602;
        public static int NOVAPDF_ACTION_SHOW_DIALOG =             603;
        public static int NOVAPDF_ACTION_EXECUTE =                 604;
        public static int NOVAPDF_ACTION_MAXIM =                   604;
        //DocumentRightsPreset
        public static int NOVAPDF_COPYRIGHT_TEXT =                 611;
        public static int NOVAPDF_COPYRIGHT_URL =                  612;
        public static int NOVAPDF_COPYRIGHT_TYPE  =                613;
        //AdvancedOptionsPreset (added)
        public static int NOVAPDF_ADV_VERIFY_FILE =                621;
        public static int NOVAPDF_ADV_COPIES_ADD_PAGE  =           622;
        public static int NOVAPDF_ADV_COPIES_ONLY_ODD  =           623;
        //MergePreset
        //moved from save options
        public static int NOVAPDF_MERGE_APPEND_PASSWORD =          107;
        public static int NOVAPDF_MERGE_INSERT_PAGENO =            261;
        //new
        public static int NOVAPDF_MERGE_IF_FILE_EXISTS =           630;
        public static int NOVAPDF_MERGE_TYPE =                     631;
        public static int NOVAPDF_MERGE_OTHER_FILE =               632;
        public static int NOVAPDF_MERGE_LOCATION =                 633;
        public static int NOVAPDF_MERGE_USER =                     634;
        public static int NOVAPDF_MERGE_PASSWORD =                 635;

        //AfterSaveActionPreset
        //new
        public static int NOVAPDF_ACTION_RUN_SHOW =                640;
        public static int NOVAPDF_ACTION_RUN_SHELL =               641;

        // Printer options
        public static int NOVAPDF_PRINTER_ACTIVE_PROFILE	=       801;
        public static int NOVAPDF_PRINTER_SELECT_PROFILE_DLG	=   802; 
    }

    public enum NovaVersions
    {
        PDF_VERSION_13 = 3,
        PDF_VERSION_14 = 4,
        PDF_VERSION_15 = 5,
        PDF_VERSION_16 = 6,
        PDF_VERSION_17 = 7
    }

    public enum PDFAType
    {
        PDFA_1A = 1,
        PDFA_1B = 2
    }

    public enum TransitionsTypes
    {
        TRANSITION_TYPE_VIEWERDEFAULT = 0,
        TRANSITION_TYPE_REPLACE = 1,
        TRANSITION_TYPE_SPLIT = 2,
        TRANSITION_TYPE_BLINDS = 3,
        TRANSITION_TYPE_BOX = 4,
        TRANSITION_TYPE_WIPE = 5,
        TRANSITION_TYPE_DISSOLVE = 6,
        TRANSITION_TYPE_GLITTER = 7,
        TRANSITION_TYPE_FLYIN = 8,
        TRANSITION_TYPE_FLYOUT = 9,
        TRANSITION_TYPE_PUSH = 10,
        TRANSITION_TYPE_COVER = 11,
        TRANSITION_TYPE_UNCOVER = 12,
        TRANSITION_TYPE_FADE = 13
    }

    public enum PageMagnification
    {
        PAGE_MAGN_VIEWERDEFAULT = 0,
        PAGE_MAGN_DEFAULT = 1,
        PAGE_MAGN_FITWIDTH = 2,
        PAGE_MAGN_FITHEIGHT = 3,
        PAGE_MAGN_FITPAGE = 4,
        PAGE_MAGN_PERCENT = 5,
        PAGE_MAGN_FITVISIBLE = 6
    }

    public enum TransitionsDirection
    {
        TRANSITION_DIR_HORZ = 0,
        TRANSITION_DIR_VERT = 1
    }

    public enum PageLayout
    {
        PAGE_LAY_VIEWERDEF = 0,
        PAGE_LAY_SINGLE = 1,
        PAGE_LAY_COLUMN = 2,
        PAGE_LAY_TWOCOL_LEFT = 3,
        PAGE_LAY_TWOCOL_RIGHT = 4,
        PAGE_LAY_TWOPAGE_LEFT = 5,
        PAGE_LAY_TWOPAGE_RIGHT = 6
    }

    public enum PageMode
    {
        PAGE_MODE_VIEWERDEFAULT = 0,
        PAGE_MODE_NONE = 1,
        PAGE_MODE_OUTLINES = 2,
        PAGE_MODE_PAGES = 3,
        PAGE_MODE_FULLSCREEN = 4,
        PAGE_MODE_LAYERS = 5,
        PAGE_MODE_ATTACHMENTS = 6
    }

    public enum PageScale
    {
        PAGE_SCALE_APPDEFAULT = 0,
        PAGE_SCALE_NONE = 1
    }

    public enum FullScreenMode
    {
        FULLSCREEN_VIEWERDEF = 0,
        FULLSCREEN_NONE = 1,
        FULLSCREEN_BOOKMARKS = 2,
        FULLSCREEN_PAGES = 3,
        FULLSCREEN_LAYERS = 4
    }

    public enum BorderStyle
    {
        BORDER_STYLE_SOLID = 0,
        BORDER_STYLE_DASHED = 1
    }

    public enum BorderPosition
    {
        BORDER_POSITION_NEUTRAL = 0,
        BORDER_POSITION_INTERIOR = 1,
        BORDER_POSITION_EXTERIOR = 2
    }

    public enum Units
    {
        NOVA_UNITS_MILIMETERS = 0,
        NOVA_UNITS_CENTIMETERS = 1,
        NOVA_UNITS_INCHES = 2
    }

    public enum DownsampleFilter
    {
        DOWNSAMPLE_FILTER_BOX = 0,
        DOWNSAMPLE_FILTER_BILINEAR = 1,
        DOWNSAMPLE_FILTER_BSPLINE = 2,
        DOWNSAMPLE_FILTER_BICUBIC = 3,
        DOWNSAMPLE_FILTER_CATMULLROM = 4,
        DOWNSAMPLE_FILTER_LANCZOS3 = 5
    }

    public enum CompressionMethod
    {
        COMPRESS_METHOD_ZIP = 0,
        COMPRESS_METHOD_JPEG = 1
    }

    public enum ImageConversionType
    {
        CONVERT_GRAYSCALE = 0,
        CONVERT_MONOCHROME = 1
    }

    public enum Dither
    {
        DITHER_FS = 0,
        DITHER_BAYER4 = 1,
        DITHER_BAYER8 = 2,
        DITHER_ORDER6 = 3,
        DITHER_ORDER8 = 4,
        DITHER_ORDER16 = 5
    }

    public enum SecurityLevel
    {
        SECURITY_40BITS = 1,
        SECURITY_128BITS = 2,
        SECURITY_128AES = 3,
        SECURITY_256AES = 4
    }

    public enum SaveDlgType
    {
        PROMPT_SAVE_STNANDARD = 0,
        PROMPT_SAVE_NONE = 1,
        PROMPT_SAVE_SIMPLE = 2
    }

    public enum LocationType
    {
        LOCATION_TYPE_LOCAL = 1,
        LOCATION_TYPE_SERVER = 2
    }

    public enum SaveFolder
    {
        SAVEFOLDER_APPLICATION = 1,
        SAVEFOLDER_LAST = 2,
        SAVEFOLDER_CUSTOM = 3,
        SAVEFOLDER_MYDOCUMENTS = 4
    }

    public enum SendEmailMethod
    {
        EMAIL_TYPE_MAPI_NO_DLG = 0,
        EMAIL_TYPE_MAPI_DLG = 1,
        EMAIL_TYPE_SMTP = 2
    }

    public enum SaveFileConflictType
    {
        FILE_CONFLICT_STRATEGY_PROMPT = 0,
        FILE_CONFLICT_STRATEGY_AUTONUMBER_NEW = 1,
        FILE_CONFLICT_STRATEGY_APPEND_DATE = 2,
        FILE_CONFLICT_STRATEGY_OVERWRITE = 3,
        FILE_CONFLICT_STRATEGY_AUTONUMBER_EXIST = 4,
        FILE_CONFLICT_STRATEGY_DONTSAVE = 7
    }

    public enum FontType
    {
        NOVA_FONTTYPE_TRUETYPE = 0,
        NOVA_FONTTYPE_TYPE1 = 1,
        NOVA_FONTTYPE_OT_TRUETYPE = 2,
        NOVA_FONTTYPE_OT_TYPE1 = 3
    }

    public enum OverlayRepeatType
    {
        OVERLAY_REPEAT_NONE = 0,
        OVERLAY_REPEAT_LAST = 1,
        OVERLAY_REPEAT_ALL = 2
    }

    public enum CertificateType
    {
        CERTIFICATE_TYPE_USER = 0,
        CERTIFICATE_TYPE_SYSTEM = 1,
        CERTIFICATE_TYPE_FILE = 2
    }

    public enum ActionType
    {
        NOVA_ACTION_COPY = 1,
        NOVA_ACTION_DELETE = 2,
        NOVA_ACTION_EMAILMAPI = 3,
        NOVA_ACTION_EMAILSMTP = 4,
        NOVA_ACTION_GENERATEPDF = 5,
        NOVA_ACTION_OPEN = 6,
        NOVA_ACTION_RUN = 7,
        NOVA_ACTION_FTP = 8,
        NOVA_ACTION_SFTP = 9
    }

    public enum ActionFailType
    {
        NOVA_ACTION_FAIL_CONTINUE = 0,
        NOVA_ACTION_FAIL_STOP = 1
    }

    public enum FileSizeType
    {
        NOVA_ACTION_FILESIZE_MB = 0,
        NOVA_ACTION_FILESIZE_GB = 1
    }

    public enum CopyrightType
    {
        COPYRIGHT_TYPE_UNKNOWN = 0,
        COPYRIGHT_TYPE_COPYRIGHTED = 1,
        COPYRIGHT_TYPE_PUBLICDOMAIN = 2
    }

    public enum MergeType
    {
        MERGE_TYPE_APPEND = 0,
        MERGE_TYPE_INSERT = 1,
        MERGE_TYPE_INSERT_PAGENO = 2
    }

    public enum RunAs
    {
        RUN_NORMAL = 0,
        RUN_MINIMIZED = 1,
        RUN_HIDDEN = 2
    }

	public class NovaMessages
	{
		public static string MSG_NOVAPDF2_STARTDOC = "NOVAPDF2_STARTDOC";
		public static string MSG_NOVAPDF2_ENDDOC = "NOVAPDF2_ENDDOC";
		public static string MSG_NOVAPDF2_STARTPAGE = "NOVAPDF2_STARTPAGE";
		public static string MSG_NOVAPDF2_ENDPAGE = "NOVAPDF2_ENDPAGE";
		public static string MSG_NOVAPDF2_FILESENT = "NOVAPDF2_FILESENT";
		public static string MSG_NOVAPDF2_PRINTERROR = "NOVAPDF2_PRINTERROR";
		public static string MSG_NOVAPDF2_FILESAVED = "NOVAPDF2_FILESAVED";
		public static string MSG_NOVAPDF2_EMAILSENT = "NOVAPDF2_EMAILSENT";
		public static string MSG_NOVAPDF2_EMAILERROR = "NOVAPDF2_EMAILERROR";

		//----------------------------------------------------------------------
		//ERROR CODES FOR NOVAPDF2_PRINTERROR MESSAGE
		//----------------------------------------------------------------------
		public static int ERROR_MSG_TEMP_FILE = 1;
		public static int ERROR_MSG_LIC_INFO = 2;
		public static int ERROR_MSG_SAVE_PDF = 3;
		public static int ERROR_MSG_JOB_CANCELED = 4;
		public static int ERROR_MSG_LIC_COPIES = 5;
		public static int ERROR_MSG_LIC_CLIENT = 6;
		public static int ERROR_MSG_SEND_EMAIL = 7;
		public static int ERROR_MSG_CONNECT_SRV = 8;
		public static int ERROR_MSG_JOB_INFO = 9;
		public static int ERROR_MSG_READ_PROFILE = 10;
		public static int ERROR_MSG_PDF_ENCRYPT_AP = 11;
		public static int ERROR_MSG_PDF_ENCRYPT_INS = 12;
		public static int ERROR_MSG_PDF_APPEND = 13;
		public static int ERROR_MSG_PDF_INSERT = 14;
		public static int ERROR_MSG_OVERLAY_ENCRYPT = 15;
		public static int ERROR_MSG_OVERLAY_READ = 16;
	}

    public class NovaEvents
    {
		public static string NOVAPDF_EVENT_START_DOC = "NOVAPDF_EVENT_START_DOC";
		public static string NOVAPDF_EVENT_END_DOC = "NOVAPDF_EVENT_END_DOC";
		public static string NOVAPDF_EVENT_FILE_SAVED = "NOVAPDF_EVENT_FILE_SAVED";
        public static string NOVAPDF_EVENT_ACTIONS = "NOVAPDF_EVENT_ACTIONS_FINISHED";
    }

	public class NovaErrors
	{
		public static int FACILITY_NOVA = 0x55DA;


		// general error codes
		// MessageId: NV_NOT_INITIALIZED
		// MessageText: Initialize was not called.
		public static long NV_NOT_INITIALIZED = 0xD5DA0001;

		// get/set options error codes
		// MessageId: NV_INVALID_OPTION
		// MessageText: invalid option name
		public static long NV_INVALID_OPTION = 0xD5DA0004;

		// get/set options error codes
		// MessageId: NV_WRONG_OPTION_TYPE
		// MessageText: invalid option type
		public static long NV_WRONG_OPTION_TYPE = 0xD5DA0005;

		// MessageId: NV_UNKNOWN_PROFILE
		// MessageText: profile does not exist
		public static long NV_UNKNOWN_PROFILE = 0xD5DA0008;

		// MessageId: NV_NO_MORE_PROFILES
		// MessageText: enumeration of profiles is finished
		public static long NV_NO_MORE_PROFILES = 0xD5DA000A;

		// MessageId: NV_ENUM_NOT_INIT
		// MessageText: GetFirstProfile or GetFirstForm not called
		public static long NV_ENUM_NOT_INIT = 0xD5DA000B;

		// MessageId: NV_NODEFAULT_PRINTER
		// MessageText: SetDefaultPrinter was not called
		public static long NV_NODEFAULT_PRINTER = 0xD5DA0014;

		// MessageId: NV_NOT_REGISTERED
		// MessageText: novapi2.dll (this module) is not registered
		public static long NV_NOT_REGISTERED = 0xD5DA0015;

		// MessageId: NV_INVALID_BOOKMARK_DEF
		// MessageText: invalif bookmark definition index
		public static long NV_INVALID_BOOKMARK_DEF = 0xD5DA0016;

		// MessageId: NV_INVALID_PRINTER_NAME
		// MessageText: cannot find printer with given printer name
		public static long NV_INVALID_PRINTER_NAME = 0xD5DA0018;

		// MessageId: NV_NOT_A_NOVAPDF_PRINTER
		// MessageText: printer is not a novaPDF printer
		public static long NV_NOT_A_NOVAPDF_PRINTER = 0xD5DA0019;

		// MessageId: NV_PUBLIC_PROFILE
		// MessageText: you are not allowed to modify public profiles on client PCs
		public static long NV_PUBLIC_PROFILE = 0xD5DA0020;

		// MessageId: NV_INVALID_WATERMARK_IMG
		// MessageText: invalid watermark image index
		public static long NV_INVALID_WATERMARK_IMG = 0xD5DA0021;

		// MessageId: NV_INVALID_WATERMARK_TXT
		// MessageText: invalid watermark text index
		public static long NV_INVALID_WATERMARK_TXT = 0xD5DA0022;

        // MessageId: NV_ERROR_DELETE_PRINTER
        // MessageText: there was an error deleting printer
		public static long NV_ERROR_DELETE_PRINTER = 0xD5DA0025;
            
        // MessageId: NV_PROFILE_ERROR
        // MessageText: error reading profile
		public static long NV_PROFILE_ERROR = 0xD5DA0027;
        
        // MessageId: NV_NO_ACTIVE_PROFILE
        // MessageText: there is no valid active profile
		public static long NV_NO_ACTIVE_PROFILE = 0xD5DA0028;
        
        // MessageId: NV_NO_PROFILE
        // MessageText: there is no profile loaded
		public static long NV_NO_PROFILE = 0xD5DA0029;
        
        // MessageId: NV_SERVICE_ERROR
        // MessageText: cannot load connect to service module
		public static long NV_SERVICE_ERROR = 0xD5DA002A;
        
        // MessageId: NV_PROFILE_SAVE_ERROR
        // MessageText: error saving profile
		public static long NV_PROFILE_SAVE_ERROR = 0xD5DA002B;
        
        // MessageId: NV_PROFILE_DELETE_ERROR
        // MessageText: error deleting profile
		public static long NV_PROFILE_DELETE_ERROR = 0xD5DA002C;
        
        // MessageId: NV_INVALID_LAYOUT
        // MessageText: invalid layout id
		public static long NV_INVALID_LAYOUT = 0xD5DA002D;
        
        // MessageId: NV_INVALID_EMAIL
        // MessageText: invalid email id
		public static long NV_INVALID_EMAIL = 0xD5DA002E;
        
        // MessageId: NV_INVALID_RECIPIENT
        // MessageText: invalid email recipient id
		public static long NV_INVALID_RECIPIENT = 0xD5DA002F;
        
        // MessageId: NV_INVALID_LICENSE
        // MessageText: license does not allow COM usage
        public static long NV_INVALID_LICENSE = 0xD5DA0030;
        
        // MessageId: NV_INVALID_ACTION
        // MessageText: invalid action id
        public static long NV_INVALID_ACTION = 0xD5DA0031;

	}
}
